locals {
  environment = lookup(jsondecode(file("../../config.json")), "terraform_packer_environment", "")
}

terraform {
  backend "http" {
    lock_method="POST"
    unlock_method="DELETE"
    retry_wait_min="5"
  }
}

provider "hcloud" {
  token = lookup(jsondecode(file("../../secrets.json")), "hcloud_token_${local.environment}", "")
}
